petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMHasVariableBounds

does the DM object have a variable bounds function?

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMHasVariableBounds(DM dm,PetscBool  *flg)

Not Collective Many br

### Input Parameter

dm -the DM object to destroy Many br

### Output Parameter

flg -PETSC_TRUE if the variable bounds function exists Many br

Many br

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages